使用技巧

WordPress将在即将发布的5.8或5.9版本中放弃对IE11的支持

wordpress-to-drop-support-for-ie11-即将到来的5-8或-5-9-发布WordPress将在即将到来的5.8或5.9版本中放弃对IE11的支持

3月初,WordPress贡献者开始讨论 放弃对IE11的支持 在使用量下降到约1%以下后不久。 本周,讨论的主持人HéctorPrieto 确认的 大多数参与者都同意继续前进,并设定了终止支持的时间表。 贡献者现在正在考虑5.8。 或5.9版本。

普里托说:“降低5.8的理由是为了更快地实现更改和改进,而其他人则倾向于等到5.9才能在官方声明和生效日期之间提供更长的时间。” 最后的召集是5.8发布团队,尚未确定。

发布范围和时间表取决于是否 四月通过/不通过条件 在5.8(2021年7月)或5.9(2021年12月)的合并中包括了全站点编辑,因此可以满足要求。 5.8小组将在4月/ 5月完成,他们将决定如何停止IE11。

Jb Audras建议,如果5.8版本的发布者选择放弃对IE11的支持,他可以与其他贡献者合作,以即将发布的次要版本之一更新BrowseHappy通知。

Audras说:“即使可以独立于Core发行版更新BrowseHappy通知,我认为最好与发行版一起更新,以更好地了解此更改,” Audras说。

Microsoft 365应用和服务将不再支持IE11 从2021年8月17日开始。 Drupal最近也经历了类似的决定,决定在即将于2022年6月发布的即将发布的Drupal 10版本中放弃对IE11的支持。那些必须使用IE11的用户仍然可以选择保留Drupal 9的LTS版本,直到2023年年底。 讨论 列举了WordPress贡献者现在面临的许多相同考虑。

马特·穆伦维格(Matt Mullenweg) 已评论 在初步讨论中,建议如果不支持IE11的用户使用不支持的浏览器进入wp-admin,则为他们提供前进的路径:

支持放弃支持,如果有人访问了诸如IE11这样的明确删除的浏览器,则会向他们显示一条友好的消息,说明为什么无法访问wp-admin以及他们可以采取的下一步措施。

技术实现在 Riad Benguella的创建是为了阻止IE11的使用,而WordPress的项目和团队将开始研究放弃支持的实际含义。

像这样:

像载入中…

资源